Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 314185 - kde-base/powerdevil-4.4.5 stop working for >=dbus-1.2.24
Summary: kde-base/powerdevil-4.4.5 stop working for >=dbus-1.2.24
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 304177 314485 314509 (view as bug list)
Depends on:
Blocks: 313999
  Show dependency tree
 
Reported: 2010-04-09 17:44 UTC by Alex
Modified: 2011-02-07 09:39 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dbus error msg's (messages,56.24 KB, text/plain)
2010-04-12 18:32 UTC, Alex Barker
Details
dbus-1.2.4.6.ebuild (dbus-1.2.4.6.ebuild,3.66 KB, text/plain)
2010-04-27 11:31 UTC, Bruno Redondi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2010-04-09 17:44:18 UTC
I have upgraded to dbus package version 1.2.24
then powerdevil do not recognize anymore the battery 
more my battery.
The plasmoid stop working too.

Reproducible: Always

Steps to Reproduce:
1.upgrade dbus to version ~1.2.24
2.re-login on your kde session
3.

Actual Results:  
The powerdevil do not recognize the battery of my notebook

Expected Results:  
Recognize my battery
Comment 1 Stefan Huber 2010-04-10 10:19:18 UTC
This seems to be related with a lots of system messages of the form

[system] Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=1000 pid=3221 comm="kded4) interface="org.freedesktop.Hal.Device.CPUFreq" member="GetCPUFreqAvailableGovernors" error name="(unset)" requested_reply=0 destination="org.freedesktop.Hal" (uid=0 pid=2440 comm="/usr/sbin/hald))

which occur here since the update to dbus-1.2.24. A downgrade fixed it for me.
Comment 2 darkbasic 2010-04-10 13:04:26 UTC
*** Bug 314509 has been marked as a duplicate of this bug. ***
Comment 3 darkbasic 2010-04-10 13:06:48 UTC
A downgrade fixed it for me.
I use powerdevil-4.4, but someone reported it works with powerdevil-4.3.
Comment 4 darkbasic 2010-04-10 13:11:09 UTC
Downgrading dbus solved one more problem which I blamed xorg-server-1.8 for: closing the kde session I had a black screen and the system freezed instead of giving me kdm. Now it works flawlessly... O_O
Comment 5 Alex 2010-04-10 13:49:30 UTC
Downgrading dbus solves to me too.
Comment 6 Enrico Tagliavini 2010-04-10 14:01:57 UTC
(In reply to comment #3)
> I use powerdevil-4.4, but someone reported it works with powerdevil-4.3.

I can confirm, no problem here with kde 4.3.5 with dbus 1.2.24
Comment 7 Samuli Suominen gentoo-dev 2010-04-12 17:45:59 UTC
*** Bug 314485 has been marked as a duplicate of this bug. ***
Comment 8 Alex Barker 2010-04-12 18:32:26 UTC
Created attachment 227505 [details]
dbus error msg's

this has extended to my sound card as well but only with my intel-hda pc.  My other sound cards (mainly the ICH 8x0 AC'97) appears to work fine.  

Again this is only an issue for me with kde 4.4.2 and dbus 1.2.24.  Downgrading dbus back to 1.2.3 fixes the problems.

Attached is a small portion of the miles and miles of "[system] Rejected send message, 1 matched rules;" error msg's in the /var/log/messages log file.
Comment 9 Alex 2010-04-12 18:42:37 UTC
I think that's the problem is related from a access list deployed by dbus in the configurations.

Compared with 1.2.13 the configs files under /etc/dbus, have a lot of changes

I don't know much about dbus, so I can't do the solution.
Comment 10 Steev Klimaszewski gentoo-dev 2010-04-12 23:56:21 UTC
Has anyone rebuilt hal after the update rather than downgrade to dbus 1.2.3?  Did it help at all?  I don't use KDE at all, but I know there are other people who do and they haven't reported anything to me about this.  Also, which version of hal do people have installed?
Comment 11 Timo Antweiler 2010-04-13 05:26:57 UTC
I recompiled sys-apps/hal-0.5.13-r2 but it didn't solve the problem. 

Comment 12 Steev Klimaszewski gentoo-dev 2010-04-13 07:15:11 UTC
Can you reinstall whatever apps are causing these messages as well?  I do apologize for the inconvenience, but I do not run KDE at all, so I'm not sure of what commands to run, but please be sure to update any config files, as dbus 1.2.24 is much stricter in its handling of the configurations (this is a security fix, so downgrading to 1.2.3 will *not* remain an option)
Comment 13 Samuli Suominen gentoo-dev 2010-04-13 08:14:22 UTC
afaik consolekit-0.3.0-r2 is too old for dbus-1.2.24, someone should give consolekit-0.4.1 a try.

ref. http://forums.gentoo.org/viewtopic-t-823185-highlight-.html
Comment 14 darkbasic 2010-04-13 10:38:47 UTC
I already have consolekit 0.4.1 and I use hal ~amd64.
I obiouvsly replaced the old config files with the new (._cfg) and I recompiled powerdevil, but it didn't help.
Comment 15 Alex 2010-04-21 14:47:55 UTC
Hello all,

I do the following steps that's work form me:

emerge dbus;
etc-update;
(add myself to plugdev group);
logout from kde;
restart dbus - /etc/init.d/dbus restart
restart kdm - /etc/init.d/xdm restart

Anyone can confirm it?
Comment 16 Andrea 2010-04-24 11:17:11 UTC
I made too this but I don't understand why in this case work and not normally using the correct way with users group added to plugdev (where in users are insert all system users like me, my brot and my dad)

 (In reply to comment #15)
> Hello all,
> 
> I do the following steps that's work form me:
> 
> emerge dbus;
> etc-update;
> (add myself to plugdev group);
> logout from kde;
> restart dbus - /etc/init.d/dbus restart
> restart kdm - /etc/init.d/xdm restart
> 
> Anyone can confirm it?
> 

Comment 17 Bruno Redondi 2010-04-27 09:43:40 UTC
(In reply to comment #15)
> Hello all,
> 
> I do the following steps that's work form me:
> 
> emerge dbus;
> etc-update;
> (add myself to plugdev group);
> logout from kde;
> restart dbus - /etc/init.d/dbus restart
> restart kdm - /etc/init.d/xdm restart
> 
> Anyone can confirm it?
> 

Adding your user to plugdev group, bypass consolekit functionality, allowing your user to control hardware even when logged in remotely.
This is not a solution, but a workarround.
Comment 18 Bruno Redondi 2010-04-27 10:36:11 UTC
Looking at dbus homepage (http://www.freedesktop.org/wiki/Software/dbus) and reading the email in http://lists.freedesktop.org/archives/dbus/2008-December/010769.html, I think that dbus-1.2.3-r1 should be upgraded to 1.2.4.6permissive until application policies will be fixed, then it could be updated to 1.2.24.
I suggest to revert dbus-1.2.24 unstable and to add dbus-1.2.4.6permissive to portage.
Comment 19 Bruno Redondi 2010-04-27 11:31:51 UTC
Created attachment 229379 [details]
dbus-1.2.4.6.ebuild
Comment 20 Steev Klimaszewski gentoo-dev 2010-04-27 18:25:31 UTC
I'm sorry Bruno, but no, that is not going to happen.  The applications need to fix their policies, and this has been in the works since 2008 - if they haven't fixed them yet... what exactly will force them to when we add the "permissive" branch?  I'm sorry that it is inconvenient, but we are not going to add the permissive branch to the tree, because in the past year and 3 months, people didn't bother to fix their software.
Comment 21 Alex Barker 2010-04-28 22:15:05 UTC
Alright has anyone tried `USE=policykit emerge -avuDN world` and see if that resolves their issues?  It seems policykit is not optional anymore.
Comment 22 Bruno Redondi 2010-04-29 09:39:04 UTC
USE=policykit resolves both powerdevil and sound card issues on my system.
IMHO if policykit is not optional anymore, it should be added to /usr/portage/profiles/targets/desktop/make.defaults like consolekit.
Comment 23 Stefan Huber 2010-04-29 18:20:53 UTC
Adding policykit to /etc/make.conf's USE solves the problem here, too.
Comment 24 Timo Antweiler 2010-05-06 06:20:46 UTC
(In reply to comment #23)
> Adding policykit to /etc/make.conf's USE solves the problem here, too.
> 

But that still doesn't solve the problem that you can get access on USB devices. This problem still exist!!!
Comment 25 Stefan Huber 2010-05-06 07:05:32 UTC
> But that still doesn't solve the problem that you can get access on USB
> devices. This problem still exist!!!

What do you precisely mean by 'access on USB devices' and are you really sure that dbus is the reason? I can print on a USB printer and I can mount USB mass storage devices. Anyhow, if this actually is an issue of dbus I guess it should be moved to a new bug report.



Comment 26 Timo Antweiler 2010-05-06 07:15:49 UTC
(In reply to comment #25)
> > But that still doesn't solve the problem that you can get access on USB
> > devices. This problem still exist!!!
> 
> What do you precisely mean by 'access on USB devices' and are you really sure
> that dbus is the reason? I can print on a USB printer and I can mount USB mass
> storage devices. Anyhow, if this actually is an issue of dbus I guess it should
> be moved to a new bug report.
> 


Sorry my fault! Because I use policykit now as suggested you gotta add some rules in /etc/PolicyKit/PolicyKit.conf:

<match action="org.freedesktop.hal.storage.mount-removable">
  <match user="add your user here">
      <return result="yes"/>
  </match>
</match>

<match action="org.freedesktop.hal.storage.mount-fixed">
  <match user="add your user here">
      <return result="yes"/>
  </match>
</match>


If you add yourself to the "match user" section it works. If this is really a need and a workaround to get dbus 1.2.24 work as supposed to be then it should be documented somewhere. Possibly as information text after the installation. 

Does anyone know if you can use "match group" instead of "match user"? I gave it a try but it didn't work somehow. 
Comment 27 Omar Saleem 2010-05-09 04:20:24 UTC
adding USE=policykit didn't help me at all...
Comment 28 Andreas K. Hüttel gentoo-dev 2010-06-06 17:57:06 UTC
Please tell us your kde version. Is this still a problem with 4.4.4?
Comment 29 Alex Barker 2010-06-08 18:00:28 UTC
I am s(In reply to comment #28)
> Please tell us your kde version. Is this still a problem with 4.4.4?
> 

I am still having issues with 4.4.4, Still need policykit and console kit but my problem is primarily with phonon and hal.  
Comment 30 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-06-09 13:12:41 UTC
*** Bug 304177 has been marked as a duplicate of this bug. ***
Comment 31 Timo Antweiler 2010-09-11 13:20:12 UTC
(In reply to comment #29)
> I am s(In reply to comment #28)
> > Please tell us your kde version. Is this still a problem with 4.4.4?
> > 
> 
> I am still having issues with 4.4.4, Still need policykit and console kit but
> my problem is primarily with phonon and hal.  
> 


I agree! the problem still exist even with 4.4.5. Still get error messages of disconnected sound devices and USB sticks cannot be connected too. We are talking about that for month right? 
Comment 32 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-01-13 00:57:25 UTC
is this bug still valid?
Comment 33 Stefan Huber 2011-01-13 07:59:47 UTC
Running dbus-1.4.1 with powerdevil-4.5.5 without problems, but had the problem reported months ago with an old dbus version.